#include <stdio.h>
#include "src/ether.h"

main ()
{
    char **intfs;
    int i;

    if ((intfs = ether_interfaces ()) == NULL)
    {
	perror ("ether_interfaces");
	exit (1);
    }

    for (i = 0; intfs[i]; i++)
    {
	ether_addr address;
	int fd;
	int c;

	printf ("%s: ", intfs[i]);
	fflush (stdout);
	
	if ((fd = ether_open (intfs[i], 0xf0f0, (ether_addr *) NULL)) < 0)
	    perror ("open");
	else
	{
	    setreuid (0, geteuid());

	    if (ether_address (fd, &address) == NULL)
		perror ("address");
	    else
		for (c = 0; c < 6; c++)
		    printf ("%x%c", (unsigned char) address.addr[c],
			    c == 5 ? '\n' : ':');

	    setreuid (getuid(), 0);
	}
    }
    
    exit (0);
}
